import uniReq from '@/http/init'
export const login = (data) => {
    return uniReq.post({
        url: '/api/user/login/wx/telnum',
        data
    })
}
export const getInfo = () => {
    return uniReq.post({
        url: '/api/user/info'
    })
}
export const ticketlist = (data) => {
    return uniReq.post({
        url: '/api/ticket/ticketList',
        isLoading:false,
        data
    })
}
export const upload = (data) => {
    return uniReq.upload({
        name: data.name,
        url: '/api/common/upload',
        filePath: data.filePath,
        interceptor: {
            response(res) {
                try {
                    return JSON.parse(res.data)
                } catch (e) {
                    return e
                }
            }
        }
    })
}
export const updateAvatar = (data) => {
    return uniReq.post({
        url: '/api/user/update',
        data
    })
}
